#ifndef OGGTOWAV
#define OGGTOWAV

/*
 * @(#)OggToWAV.h
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 2003 Jörg P. M. Haeger
 *
 * webCDwriter is free software. See CDWserver.cpp for details.
 */

#include "AudioToWAV.h"

/**
 * Convert Ogg Vorbis files to WAV.
 *
 * @version 20030204
 * @author Jörg P. M. Haeger
 */
class OggToWAV: public AudioToWAV {
public:
	OggToWAV(FILE *inStream = NULL): AudioToWAV(inStream) {
		converter = new Process(config.getActiveValue("ogg123Path"));
		converter->addArg("-d");
		converter->addArg("raw");
		converter->addArg("-f");
		converter->addArg("-");
		converter->addArg("-q");
		converter->addArg("-");
		converter->start(NULL, 1);
	}
};

#endif
